<?php
function setup_theme_admin_menus_gc_atlantdak() {
    add_submenu_page('edit.php?post_type=goods',
        'YML Setting', 'YML Setting', 'manage_options',
        'goods-setting-yml-admin', 'theme_front_page_settings_gc_atlantdak');
}  

// Она говорит WP, что нужно вызвать функцию "setup_theme_admin_menus"
// когда нужно будет создать страницы меню.
add_action("admin_menu", "setup_theme_admin_menus_gc_atlantdak"); 



function theme_front_page_settings_gc_atlantdak() {
// проверяем, что пользователь может обновлять настройки
	if (!current_user_can('manage_options')) {
		wp_die('You do not have sufficient permissions to access this page.');
	}     ?>
	<div class="wrap">
			<h2>Настройка создания Goods Catalog YML </h2>
			<form method="post" action="options.php">
				<?php wp_nonce_field('update-options') ?>
				<p><strong>Курс доллара к рублю:</strong><br />
					<input type="text" name="gcYmlCours" size="45" value="<?php echo get_option('gcYmlCours','CBRF'); ?>" />
				</p>
				<p><strong>CPA (включить заказ на маркете):</strong><br />
					<input type="checkbox" name="gcYmlCPA"  value="1" <?php checked( get_option('gcYmlCPA') ); ?>" />
				</p>
				<p><strong>Включить автоматическую генерацию YML(Cron):</strong><br />
					<input type="checkbox" name="gcYmlCron"  value="1" <?php checked( get_option('gcYmlCron') ); ?>" />
				</p>
				<p><input type="submit" name="Submit" value="Сохранить" /></p>
				<input type="hidden" name="action" value="update" />
				<input type="hidden" name="page_options" value="gcYmlCours,gcYmlCPA,gcYmlCron" />
			</form>
			<p>YML файл каталога находится по ссылке: <a href="<?php echo bloginfo(url).'/yandex.yml';?> "><?php echo bloginfo(url).'/yandex.yml';?> </a></p>
			<?php if(get_option('gcYmlCron')==1){
						echo '<p>Следующая генерация YML файла произойдет: '.  date("Y-m-d"." в "."h:i:s",wp_next_scheduled('yml_goods_catalog_refresh')).' </p>';
					}else{
						echo '<p style="color:red">Генерация YML файла выключена </p>';
						echo 'Чтобы включить, нажмите галочку "Включить автоматическую генерацию" ';
					} 
			?>
		</div>
		<?php
}  

?>